# class Chef::Provider::File::Content

### Public Instance Methods

file_for_provider() click to toggle source

    # File lib/chef/provider/file/content.rb, line 26
    def file_for_provider
      if @new_resource.content
        tempfile = Chef::FileContentManagement::Tempfile.new(@new_resource).tempfile
        tempfile.write(@new_resource.content)
        tempfile.close
        tempfile
      else
        nil
      end
    end